<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Tic-Tac-Toe</title>
    <link rel="stylesheet" href="./index.css" />
    <link rel="icon" type="image/x-icon" href="./favicon.ico" />
  </head>
  <body>
    <div id="app">
      <h1>Tic-Tac-Toe</h1>
      <h2>You choose: <span id="choice-variant"></span></h2>
      <div class="container_choice">
        <button class="choice-option" id="cross">
          <svg
            xmlns="http://www.w3.org/2000/svg"
            width="100"
            height="100"
            viewBox="0 0 100 100"
          >
            <defs>
              <linearGradient
                id="blueGradient"
                x1="0%"
                y1="0%"
                x2="100%"
                y2="0%"
              >
                <stop offset="0%" style="stop-color: #4f86c6" />
                <stop offset="100%" style="stop-color: #1c528a" />
              </linearGradient>
            </defs>
            <line
              x1="20"
              y1="20"
              x2="80"
              y2="80"
              stroke="url(#blueGradient)"
              stroke-width="15"
              stroke-linecap="round"
            />
            <line
              x1="80"
              y1="20"
              x2="20"
              y2="80"
              stroke="url(#blueGradient)"
              stroke-width="15"
              stroke-linecap="round"
            />
          </svg>
        </button>
        <button class="choice-option" id="circle">
          <svg
            xmlns="http://www.w3.org/2000/svg"
            width="100"
            height="100"
            viewBox="0 0 100 100"
          >
            <defs>
              <linearGradient
                id="redGradient"
                x1="0%"
                y1="0%"
                x2="100%"
                y2="0%"
              >
                <stop offset="0%" style="stop-color: #e55d87" />
                <stop offset="100%" style="stop-color: #5fc3e4" />
              </linearGradient>
              <mask id="hole">
                <circle cx="50" cy="50" r="40" fill="white" />
              </mask>
            </defs>
            <circle
              cx="50"
              cy="50"
              r="40"
              fill="url(#redGradient)"
              mask="url(#hole)"
            />
          </svg>
        </button>
      </div>

      <div class="container_board">
        <div class="cell" data-row="0" data-col="0"></div>
        <div class="cell" data-row="0" data-col="1"></div>
        <div class="cell" data-row="0" data-col="2"></div>
        <div class="cell" data-row="1" data-col="0"></div>
        <div class="cell" data-row="1" data-col="1"></div>
        <div class="cell" data-row="1" data-col="2"></div>
        <div class="cell" data-row="2" data-col="0"></div>
        <div class="cell" data-row="2" data-col="1"></div>
        <div class="cell" data-row="2" data-col="2"></div>
      </div>
      <div class="game-info">
        <div id="step_status"></div>
      </div>
      <script src="./index.js"></script>
    </div>
  </body>
</html>
